Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.protocols
Class AUTH

    java.lang.Object
      org.jgroups.stack.Protocol
          org.jgroups.protocols.AUTH

    public class AUTH

extends Protocol

The AUTH protocol adds a layer of authentication to JGroups

Author:
  Chris Mills

Field Summary

Fields inherited from class org.jgroups.stack.Protocol
`down_prot, ergonomics, id, log, name, stack, stats, up_prot`

Constructor Summary
`AUTH()`

Method Summary
`java.lang.Object` | `down(Event evt)` An event is to be sent down the stack.
`java.lang.String` | `getAuthClass()`
`protected java.util.List<java.lang.Object>` | `getConfigurableObjects()` After configuring the protocol itself from the properties defined in the XML config, a protocol might have additional objects which need to be configured.
`void` | `init()` Called after instance has been created (null constructor) and before protocol is started.
`protected void` | `sendJoinRejectionMessage(Address dest, java.lang.String error_msg)`
`protected void` | `sendMergeRejectionMessage(Address dest, java.lang.String error_msg)`
`protected void` | `sendRejectionMessage(byte type, Address dest, java.lang.String error_msg)`
`void` | `setAuthClass(java.lang.String class_name)`
`java.lang.Object` | `up(Event evt)` An event was received from the layer below.

Methods inherited from class org.jgroups.stack.Protocol
`destroy, downThreadEnabled, dumpStats, enableStats, getDownProtocol, getId, getLevel, getName, getProperties, getProtocolStack, getSocketFactory, getThreadFactory, getTransport, getUpProtocol, getValue, isErgonomics, printStats, providedDownServices, providedUpServices, requiredDownServices, requiredUpServices, resetStats, setDownProtocol, setErgonomics, setId, setLevel, setProperties, setPropertiesInternal, setProperty, setProtocolStack, setSocketFactory, setUpProtocol, setValue, setValues, start, statsEnabled, stop, upThreadEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AUTH

    public AUTH()

Method Detail

### setAuthClass

    public void setAuthClass(java.lang.String class_name)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getAuthClass

    public java.lang.String getAuthClass()

### getConfigurableObjects

    protected java.util.List<java.lang.Object> getConfigurableObjects()

  Description copied from class: `Protocol`
  After configuring the protocol itself from the properties defined in the XML config, a protocol might have additional objects which need to be configured. This callback allows a protocol developer to configure those other objects. This call is guaranteed to be invoked after the protocol itself has been configured. See AUTH for an example.

  Overrides:
    `getConfigurableObjects` in class `Protocol`
  Returns:

### init

    public void init()
              throws java.lang.Exception

  Description copied from class: `Protocol`
  Called after instance has been created (null constructor) and before protocol is started. Properties are already set. Other protocols are not yet connected and events cannot yet be sent.

  Overrides:
    `init` in class `Protocol`
  Throws:
    `java.lang.Exception` - Thrown if protocol cannot be initialized successfully. This will cause the ProtocolStack to fail, so the channel constructor will throw an exception

### up

    public java.lang.Object up(Event evt)

  An event was received from the layer below. Usually the current layer will want to examine the event type and - depending on its type - perform some computation (e.g. removing headers from a MSG event type, or updating the internal membership list when receiving a VIEW_CHANGE event). Finally the event is either a) discarded, or b) an event is sent down the stack using `down_prot.down()` or c) the event (or another event) is sent up the stack using `up_prot.up()`.

  Overrides:
    `up` in class `Protocol`

### sendRejectionMessage

    protected void sendRejectionMessage(byte type,
                                        Address dest,
                                        java.lang.String error_msg)

### sendJoinRejectionMessage

    protected void sendJoinRejectionMessage(Address dest,
                                            java.lang.String error_msg)

### sendMergeRejectionMessage

    protected void sendMergeRejectionMessage(Address dest,
                                             java.lang.String error_msg)

### down

    public java.lang.Object down(Event evt)

  An event is to be sent down the stack. The layer may want to examine its type and perform some action on it, depending on the event's type. If the event is a message MSG, then the layer may need to add a header to it (or do nothing at all) before sending it down the stack using `down_prot.down()`. In case of a GET_ADDRESS event (which tries to retrieve the stack's address from one of the bottom layers), the layer may need to send a new response event back up the stack using `up_prot.up()`.

  Overrides:
    `down` in class `Protocol`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.